> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List inspections

> List inspections

### Query parameters

<ParamField query="inspection_type" type="string" />

<ParamField query="status" type="string" />

<ParamField query="reference_type" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

<ParamField query="after" type="string">
  Cursor for keyset pagination (opaque token from `next_cursor`).
</ParamField>

### Responses

<ResponseField name="200" type="InspectionListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/quality/inspections' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "has_more": true,
    "inspections": [
      {
        "created_at": "string",
        "id": "string",
        "inspection_number": "string",
        "inspection_type": "string",
        "notes": null,
        "reference_id": "string",
        "reference_type": "string",
        "status": "string"
      }
    ],
    "next_cursor": null,
    "total": 1
  }
  ```
</ResponseExample>
